Offset BRepBuilderAPI_MakePolygon in plane

Hi guys! I have collection of vertices, presented as polygon:

BRepBuilderAPI_MakePolygon polyLine;
polyLine.Add(gp_Pnt(9.5, 0, 3));
polyLine.Add(gp_Pnt(9.5, 0, 10));
polyLine.Add(gp_Pnt(11, 0, 10));

and so on...

All vertices lie at single 3D plane. In this simple examaple, all points have zero Y coords. Now i want to offset this polygon in this plane inside or outside, how can i do this? I need new offsetted set of BRepBuilderAPI_MakePolygon.  (look at attached image)

Attachments: 
Malcolm Revenge's picture

So...guys, any ideas how to offset BRepBuilderAPI_MakePolygon?

Thanks.